Resolvendo o erro 'Unacceptable TLS certificate' no Linux

Resolvendo o erro 'Unacceptable TLS certificate' no Linux

'Certificado TLS inaceitável' é um erro comum no Linux. Não há uma resposta 'one-solves-it-all' para isso. Aqui estão algumas soluções potenciais que você pode tentar.

Quando se trata de certificados SSL/TLS, você pode se deparar com uma variedade de problemas, alguns relacionados ao navegador ou um problema no back-end de um site.

Um desses erros é o "Certificado TLS inaceitável" (ou "Unacceptable TLS certificate") no Linux.

Infelizmente, não há uma resposta "algo-que-resolve-tudo" para isso. No entanto, existem algumas soluções potenciais que você pode tentar, e aqui, pretendemos destacá-los para você.

Quando você encontra esse problema de Certificado TLS?

O problema pode acontecer ao adicionar o repositório Flathub através do terminal, um passo que permite acessar a enorme coleção de Flatpaks ao configurar Flatpak.

No entanto, você também pode esperar encontrar esse erro ao instalar um aplicativo Flatpak ou usar um arquivo de ref Flatpak de um repositório de terceiros através do terminal.

Alguns usuários notaram esse problema ao usar o serviço de VPN recomendado por sua organização para trabalhar no Linux.

Então, como você conserta isso? Por que isso é um problema?

Bem, tecnicamente, é uma das duas coisas:

  • Seu sistema não aceita o certificado (e diz que é inválido).
  • O certificado não corresponde ao domínio ao que o usuário se conecta.

Se for o segundo, você terá que entrar em contato com o administrador do site e corrigi-lo a partir da sua ponta.

Mas se for o primeiro, você tem algumas maneiras de lidar com isso.

1. Corrigindo "Unacceptable TLS certificate" ao usar Flatpak ou adicionar contas on-line do GNOME

Se você está tentando adicionar o controle remoto Flathub ou um novo aplicativo Flatpak e notar o erro no terminal, você pode simplesmente digitar:

Comandos para usar no terminal

sudo apt install --reinstall ca-certificates

ca_certificates

Isso deve reinstalar os certificados confiáveis, caso haja um problema com a lista de alguma forma.

Talvez ao tentar adicionar o repositório Flathub, você encontre o erro, que é resolvido digitando o comando acima no terminal.

Então, qualquer problema relacionado ao Flatpak com certificados TLS pode ser corrigido usando este método.

Se você não usar nenhuma distro baseada no Ubuntu, vamos compartilhar outra solução:

Você pode encontrar esse erro no Manjaro Linux:

Você pode reinstalar ca-certificates no Manjaro Linux usando o seguinte comando:

Comandos para usar no terminal

sudo pacman -S ca-certificates

Infelizmente, isso pode não funcionar na maioria dos casos. Mas, ao habilitar "Data e hora automáticos" nas configurações data e hora, o erro é resolvido, e você será capaz de instalar o Flatpak necessário.

2. Corrigindo "Unacceptable TLS certificate" ao usar VPN de trabalho

Se você estiver usando a VPN da sua organização para acessar materiais relacionados ao trabalho, você pode ter que adicionar o certificado à lista de CAs confiáveis em sua distro Linux.

Observe que você precisa do serviço VPN ou do administrador da sua organização para compartilhar a versão CRT do certificado root para começar.

Em seguida, você precisará navegar em seu caminho para o diretório /usr/local/share/ca-certificates.

Você pode criar um diretório sob ele e usar qualquer nome para identificar o certificado da sua organização. E, em seguida, adicionar o arquivo CRT para esse diretório.

Por exemplo, seu /usr/local/share/ca-certificates/organization/xyz.crt

Observe que você precisa de privilégios root para adicionar certificados ou fazer um diretório ca-certificates.

Uma vez adicionado o certificado necessário, tudo o que você precisa fazer é atualizar a lista de suporte ao certificado digitando:

Comandos para usar no terminal

sudo update-ca-certificates

E, o certificado deve ser tratado válido pelo seu sistema sempre que você tentar se conectar à VPN da sua empresa.

Concluindo

Um certificado TLS inaceitável não é um erro comum, mas você pode encontrá-lo em vários casos de uso, como se conectar a contas GNOME Online.

Se o erro não puder ser resolvido por dois desses métodos, é possível que o domínio/serviço ao que você está conectando tenha um erro de configuração. Nesse caso, você terá que contatá-los para corrigir o problema.

Já enfrentou esse erro a qualquer momento? Como você consertou? Você está ciente de outras soluções para este problema (potencialmente, algo que é fácil de seguir)? Deixe-nos saber sua opinião nos comentários abaixo.

Via itsfoss.com. Você pode conferir o post original em inglês:

Troubleshooting “Unacceptable TLS certificate” Error in Linux

Última atualização deste artigo: 13 de setembro de 2022

PROPAGANDA
PROPAGANDA